Create a conversation
- Base URL
-
https://{kibana_url}
- POST /api/security_ai_assistant/current_user/conversations
- POST /s/{space_id}/api/security_ai_assistant/current_user/conversations
Create a new Security AI Assistant conversation. This endpoint allows the user to initiate a conversation with the Security AI Assistant by providing the required parameters.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
-
messagesobject[] -
The conversation messages.
Responses
Indicates a successful call. The conversation was created successfully.